Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.reflect
Interface Member

All Known Implementing Classes:
  Constructor, Field, Method

    public interface Member

Member is an interface that reflects identifying information about a single member (a field or a method) or a constructor.

See Also:
  `Class`, `Field`, `Method`, `Constructor`

Field Summary
`static int` | `DECLARED` Identifies the set of declared members of a class or interface.
`static int` | `PUBLIC` Identifies the set of all public members of a class or interface, including inherited members.

Method Summary
`Class` | `getDeclaringClass()` Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.
`int` | `getModifiers()` Returns the Java language modifiers for the member or constructor represented by this Member, as an integer.
`String` | `getName()` Returns the simple name of the underlying member or constructor represented by this Member.
`boolean` | `isSynthetic()` Returns `true` if this member was introduced by the compiler; returns `false` otherwise.

Field Detail

### PUBLIC

    static final int PUBLIC

  Identifies the set of all public members of a class or interface, including inherited members.

  See Also:
    `SecurityManager.checkMemberAccess(java.lang.Class, int)`, Constant Field Values

### DECLARED

    static final int DECLARED

  Identifies the set of declared members of a class or interface. Inherited members are not included.

  See Also:
    `SecurityManager.checkMemberAccess(java.lang.Class, int)`, Constant Field Values

Method Detail

### getDeclaringClass

    Class getDeclaringClass()

  Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.

  Returns:
    an object representing the declaring class of the underlying member

### getName

    String getName()

  Returns the simple name of the underlying member or constructor represented by this Member.

  Returns:
    the simple name of the underlying member

### getModifiers

    int getModifiers()

  Returns the Java language modifiers for the member or constructor represented by this Member, as an integer. The Modifier class should be used to decode the modifiers in the integer.

  Returns:
    the Java language modifiers for the underlying member
  See Also:
    `Modifier`

### isSynthetic

    boolean isSynthetic()

  Returns `true` if this member was introduced by the compiler; returns `false` otherwise.

  Returns:
    true if and only if this member was introduced by the compiler.
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.